Name:          openexr
Version:       2.1.0
Release:       1mamba
Summary:       A high dynamic-range (HDR) image file format for use in computer imaging applications.
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.openexr.org
Source:        http://download.savannah.nongnu.org/releases/openexr/openexr-%{version}.tar.gz
#https://github.com/downloads/openexr/openexr/openexr-%{version}.tar.gz
Patch0:        %{name}-1.6.1-gcc43.patch
Patch1:        %{name}-1.7.0-gcc45.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libilmbase-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libilmbase-devel >= 2.0.1-3mamba
Provides:      OpenEXR
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by Industrial Light & Magic for use in computer imaging applications. 
OpenEXR is used by ILM on all motion pictures currently in production. The first movies to employ OpenEXR were Harry Potter and the Sorcerers Stone, Men in Black II, Gangs of New York, and Signs. Since then, OpenEXR has become ILM's main image file format. 

%package -n libopenexr
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Obsoletes:     libOpenEXR
Provides:      libOpenEXR
%ifarch x86_64
Provides:      libIlmImf-Imf_2_0.so.20()(64bit)
%else
Provides:      libIlmImf-Imf_2_0.so.20
%endif

%description -n libopenexr
OpenEXR is a high dynamic-range (HDR) image file format developed by Industrial Light & Magic for use in computer imaging applications. 
OpenEXR is used by ILM on all motion pictures currently in production. The first movies to employ OpenEXR were Harry Potter and the Sorcerers Stone, Men in Black II, Gangs of New York, and Signs. Since then, OpenEXR has become ILM's main image file format. 

%package -n libopenexr-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      libopenexr = %{version}
Requires:      libilmbase-devel
Obsoletes:     libOpenEXR-devel
Provides:      libOpenEXR-devel

%description -n libopenexr-devel
OpenEXR is a high dynamic-range (HDR) image file format developed by Industrial Light & Magic for use in computer imaging applications. 
OpenEXR is used by ILM on all motion pictures currently in production. The first movies to employ OpenEXR were Harry Potter and the Sorcerers Stone, Men in Black II, Gangs of New York, and Signs. Since then, OpenEXR has become ILM's main image file format. 

This package contains static libraries and header files need for development.

%prep
%setup -q -n openexr-%{version}
#%patch0 -p1
#%patch1 -p1

%build
%configure \
   --disable-ilmbasetest \
   --enable-namespaceversioning=no

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# compatibility symlinks with previous version with namespaceversioning enabled
ln -s libIlmImf.so.20 %{buildroot}%{_libdir}/libIlmImf-Imf_2_0.so.20

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -n libopenexr -p /sbin/ldconfig
%postun -n libopenexr -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n libopenexr
%defattr(-,root,root)
%{_libdir}/libIlmImf.so.*
%{_libdir}/libIlmImf-Imf_2_0.so.*
%doc AUTHORS COPYING

%files -n libopenexr-devel
%defattr(-,root,root)
%dir %{_includedir}/OpenEXR
%{_includedir}/OpenEXR/*.h
%{_libdir}/pkgconfig/OpenEXR.pc
%{_datadir}/aclocal/openexr.m4
%{_libdir}/libIlmImf.a
%{_libdir}/libIlmImf.la
%{_libdir}/libIlmImf.so
%dir %{_datadir}/doc/OpenEXR-%{version}
%{_datadir}/doc/OpenEXR-%{version}/*
%doc ChangeLog NEWS README

%changelog
* Sat Nov 30 2013 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic update by autodist

* Sat Jul 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-3mamba
- added --enable-namespaceversioning=no to disable namespace versioning
- rebuild against libilmbase 2.0.1-3mamba after disabling library namespace versioning

* Sat Jul 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-2mamba
- rebuilt to fix header/sources mismatch (fixes blender build)

* Thu Jul 11 2013 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic update by autodist

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- update to 2.0.0

* Mon Dec 10 2012 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- update to 1.7.1

* Thu May 12 2011 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic update by autodist

* Thu Sep 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-2mamba
- libOpenEXR-devel: added requirement for libilmbase-devel

* Wed Jun 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- update to 1.6.1

* Sat Nov 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-2mamba
- obsolete libOpenEXR

* Tue Jan 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0a-1qilnx
- update to version 1.4.0a by autospec

* Mon Apr 03 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.2.2-2qilnx
- specfile fixed and updated

* Tue Feb 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-1qilnx
- update to version 1.2.2 by autospec

* Sun Sep 26 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1qilnx
- package created by autospec
